<div ng-class="{'modal-dbopen':modal.openNoise, 'modal-open':modal.openCamera}">
    <div id="inputWrapper" class="input-wrapper-hidden"></div>

    <div class="input-holder" id="inputHolder">
        <button id="recButton" class="hidden"></button>
        <a class="next-btn search-go"
           ng-click="searchText()">
            <img src="assets/img3.0/icon-next.png" alt="next">
        </a>
        <input id="heroInput" class="hero-input hero-inputSearch" type="text"
               placeholder="{{ 'Describe Report' | translate }}" name="search"
               ng-model="searchInput">

    </div>
    <div id="dashBoard" class="page">
        <div class="main bg-white has-navbar">
            <div class="hero" id="global-header">
                <div class="hero-gradient"></div>
                <div class="hero-image"></div>
                <div class="hero-content">
                    <div class="weather-widget" ng-if="weather != ''">
                        <div class="sun">
                            <img src="assets/img3.0/weather/{{weather}}" alt="sun">
                        </div>
                        <span class="temperature">{{temp_c}}°C<sub>/{{temp_f}}°F</sub></span>
                    </div>
                    <div class="home-Title center">
                        <!--<h1 class="text-blue fz22-R">{{ 'How Can we Help you today?_home' | translate }}</h1>-->
                        <h3 class="text-blue fz16-R">{{ 'Description_home' | translate }}</h3>
                    </div>
                    <div class="home-circles">
                        <div class="service-micro-image" ng-click="modal.openCamera =! modal.openCamera">
                            <div class="service-micro-color" style="background-color: #A1CB79">
                                <img src="assets/img3.0/camera.png" style="max-width: 50%">
                            </div>
                        </div>
                        <div class="between-circles fz22-B text-blue align-middle">{{ 'OR' | translate }}</div>
                        <div class="service-micro-image">
                            <button on-long-press="startRecording()" on-touch-end="stopRecording()"
                                    class="service-micro-color" id="rectButton" style="background-color: #7FB2E1">
                                <img src="assets/img3.0/mic.png" style="max-width: 50%">
                            </button>
                            <div class="recTooltip">
                                <span class="recTooltiptext fz12-B">{{ 'Hold to record, release to send.' | translate }}</span>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="tabs-wrapper tabs-NoShadow">
                <button class="tablinks active" ng-class="{'active': modal.isTrending}">{{ 'Trending Services' |
                    translate }}
                </button>
                <!--<button class="tablinks"  ng-click="modal.isTrending = false; modal.isRecent = true; modal.isFavourites = false" ng-class="{'active': modal.isRecent}" ng-if="ready && listRecentRequest">{{ 'Recent' | translate }}</button>-->
                <!--<button class="tablinks" ng-click="modal.isTrending = false; modal.isRecent = false; modal.isFavourites = true" ng-class="{'active': modal.isFavourites}">{{ 'Favourites' | translate }}</button>-->
            </div>
            <div class="main-content" id="main-content">
                <div class="slider-request">
                    <div ng-if="modal.isTrending" class="requests">
                        <div class="slider">
                            <slick class="" settings="slickConfig">
                                <div class="sliders-holder" ng-repeat="trend in trendingServices track by $index">
                                    <a class="request-item slider-item"
                                       ng-click="goTo('serviceDetails', {service: trend, category: trend.category, from: 'dashboard'})">
                                        <div class="list-icon slider-icon">
                                            <img src="assets/img3.0/{{trend.category.gear}}" alt="services">
                                        </div>
                                        <div class="slider-title fz19-R">
                                            {{(currentLang == 'ar') ? trend.service_title_ar : trend.service_title_en}}
                                        </div>
                                    </a>
                                </div>
                            </slick>
                        </div>
                    </div>

                    <div ng-if="modal.isRecent" class="requests">
                        <h2 class="fz17-B greyishBrown">{{'My Recent Requests' | translate}}</h2>
                        <!-- ng-if="ready && listRecentRequest" -->
                        <div class="slider" ng-if="ready && listRecentRequest">
                            <slick class="" settings="slickConfig">
                                <div class="sliders-holder" ng-repeat="request in listRecentRequest track by $index"
                                     ng-if="listRecentRequest.length > 0">
                                    <a ui-sref="requestSummary({requestDetails : request})" class="request-item"
                                       href="#">
                                        <div class="request-icon">
                                            <img src="assets/img3.0/i-services-orange.png" alt="services">
                                        </div>
                                        <div class="request-body">
                                            <h3 class="request-title">{{currentLang == 'en' ? request.service_title_en :
                                                request.service_title_ar}}</h3>
                                            <div class="text-holder">
												<span ng-if="request.RequestStatus == 'Closed' || request.RequestStatus == 'Approved' "
                                                      class="text">{{'REQUEST STATUS' | translate}} : <span
                                                        class='bolder'>{{currentLang == 'en' ? request.ServiceENHighlightedView : request.ServiceARHighlightedView}}</span></span>
                                                <span ng-if="request.RequestStatus != 'Closed' && request.RequestStatus != 'Approved' "
                                                      class="text">{{'REQUEST STATUS' | translate}} : <span
                                                        class='bolder'>{{currentLang == 'en' ? request.ServiceENHighlighted : request.ServiceARHighlighted}}</span></span>

                                                <span class="text">{{'Est completion time' | translate}} :
											<span class='bolder'>{{ request.SLA }} {{'working days' | translate}}</span>
										</span>
                                            </div>
                                        </div>
                                        <span class="request-date">{{ request.RequestCreatedDate }}</span>
                                    </a>
                                </div>
                            </slick>
                        </div>

                    </div>
                    <div ng-if="modal.isFavourites" class="requests">
                        <div class="slider">
                            <slick class="" settings="slickConfig">
                                <div class="sliders-holder" ng-repeat="trend in trendingServices">
                                    <a class="request-item slider-item"
                                       ui-sref="serviceDetails({service: trend, category: trend.category, from: 'dashboard'})">
                                        <div class="list-icon slider-icon">
                                            <img src="assets/img3.0/{{trend.category.gear}}" alt="services">
                                        </div>
                                        <div class="slider-title fz19-R">
                                            {{(currentLang == 'ar') ? trend.service_title_ar : trend.service_title_en}}
                                        </div>
                                    </a>
                                </div>
                            </slick>
                        </div>
                    </div>
                </div>
                <div class="services">
                    <h2 class="fz17-B greyishBrown">{{'Services Catalogue' | translate}}</h2>

                    <div class="services-list">


                        <div class="services-item"><a class="service-micro" href="#">
                            <div class="service-micro-image" ng-click="nextPage(7)">
                                <div class="service-micro-color" style="background-color: #908764"></div>
                                <img src="assets/img3.0/c-img07.png" style="max-width: 50%">
                            </div>
                            <h3 class="service-micro-name fz15-R">{{'Building &amp; Construction' | translate}}</h3></a>
                        </div>

                        <div class="services-item"><a class="service-micro" href="#">
                            <div class="service-micro-image" ng-click="nextPage(5)">
                                <div class="service-micro-color" style="background-color: #fc6691"></div>
                                <img src="assets/img3.0/c-img05.png" style="max-width: 50%">
                            </div>
                            <h3 class="service-micro-name fz15-R">{{'Health &amp; Safety' | translate}}</h3></a>
                        </div>

                        <div class="services-item"><a class="service-micro" href="#">
                            <div class="service-micro-image" ng-click="nextPage(8)">
                                <div class="service-micro-color" style="background-color: #00d57f"></div>
                                <img src="assets/img3.0/c-img08.png" style="max-width: 50%">
                            </div>
                            <h3 class="service-micro-name fz15-R">{{'Food Safety' | translate}}</h3></a>
                        </div>

                        <div class="services-item"><a class="service-micro" href="#">
                            <div class="service-micro-image" ng-click="nextPage(4)">
                                <div class="service-micro-color" style="background-color: #5da37d"></div>
                                <img src="assets/img3.0/c-img04.png" style="max-width: 50%">
                            </div>
                            <h3 class="service-micro-name fz15-R">{{'Waste Management' | translate}}</h3></a>
                        </div>

                        <div class="services-item"><a class="service-micro" href="#">
                            <div class="service-micro-image" ng-click="nextPage(3)">
                                <div class="service-micro-color" style="background-color: #837bce"></div>
                                <img src="assets/img3.0/c-img03.png" style="max-width: 50%">
                            </div>
                            <h3 class="service-micro-name fz15-R">{{'Drainage &amp; Irrigation' | translate}}</h3></a>
                        </div>

                        <div class="services-item"><a class="service-micro" href="#">
                            <div class="service-micro-image" ng-click="nextPage(6)">
                                <div class="service-micro-color" style="background-color: #3e7ab4"></div>
                                <img src="assets/img3.0/c-img06.png" style="max-width: 70%">
                            </div>
                            <h3 class="service-micro-name fz15-R">{{'Environment' | translate}}</h3></a>
                        </div>

                        <div class="services-item">
                            <a class="service-micro" href="#">
                                <div class="service-micro-image" ng-click="nextPage(1)">
                                    <div class="service-micro-color" style="background-color: #ff4b00"></div>
                                    <img src="assets/img3.0/c-img01.png" style="max-width: 50%">
                                </div>
                                <h3 class="service-micro-name fz15-R">{{'Pest Control' | translate}}</h3></a>
                        </div>

                        <div class="services-item"><a class="service-micro" href="#">
                            <div class="service-micro-image" ng-click="nextPage(2)">
                                <div class="service-micro-color" style="background-color: #fcc232"></div>
                                <img src="assets/img3.0/c-img02.png" style="max-width: 50%">
                            </div>
                            <h3 class="service-micro-name fz15-R">{{'Pets &amp; Animals' | translate}}</h3></a>
                        </div>


                    </div>
                    <div class="services-button"
                         ng-click="goTo('servicesAZ', {service: {service_title_en:''}, category: '', from: 'dashboard'})">
                        <button class="btn btn--big btn--blue fz20-R">{{'Other services' | translate}}</button>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <div class="dbMeter-modal">

        <div class="lightbox" style="height: auto;">
            <h2 class="fz24-R text-center">{{ 'Detecting noise...' | translate }}</h2>

            <br>
            <div class="fz17-R text-center">
                <p id="noise"></p>
            </div>
            <br>

            <div class="fz17-R text-center">
                <div class="main-content">
                    <div class="content--margin" ng-if="LoudNoise">
                        <ul class="waste-list">
                            <li class="waste-item"
                            >
								<span class="list-icon">
									<img alt="service icon" src="assets/img3.0/{{noiseCategory.gear}}">
								</span>
                                <a ui-sref="serviceDetails({service: noiseService, category: noiseCategory, from: 'dashboard'})"
                                   class="list-link fz16-R noIcon "
                                   href="#">{{ (currentLang =='ar' ) ? noiseService.service_title_ar :
                                    noiseService.service_title_en}}</a>


                            </li>
                        </ul>
                    </div>
                </div>
            </div>

            <!--<div ui-sref="serviceDetails({service: noiseService, category: noiseCategory, from: 'dashboard'})" ng-if="LoudNoise" class="fz17-R text-center" >
                <p>{{ (currentLang =='ar' ) ? noiseService.service_title_ar : noiseService.service_title_en}}</p>
            </div>-->
            <br>
            <div class="form-footer">
                <a class="btn btn-outline-primary" ng-click="modal.openNoise = !modal.openNoise; stopDetectingNoise();"
                   style="min-width: 190px;margin: 10px auto;">{{ 'Cancel' | translate }}</a>
            </div>
        </div>
    </div>
    <div class="popup-holder phoneModal">
        <div class="lightbox" style="height: auto;">
            <div class="form-footer">
                <a class="btn btn-outline-primary"
                   ng-click="openCamera('camera');modal.openCamera = !modal.openCamera"
                   style="min-width: 190px;margin: 10px auto;min-width: 190px;">{{ 'Take a picture' | translate
                    }}</a>
            </div>
            <div class="form-footer" style="text-align: center;margin: auto;">
                <a class="btn btn-outline-primary"
                   ng-click="openCamera('gallery');modal.openCamera = !modal.openCamera"
                   style="min-width: 190px;margin: 10px auto;">{{ 'Choose from Gallery' | translate }}</a>
            </div>
            <div class="form-footer">
                <a class="btn btn-outline-primary" ng-click="modal.openCamera = !modal.openCamera"
                   style="min-width: 190px;margin: 10px auto;">{{ 'Cancel' | translate }}</a>
            </div>
        </div>
    </div>
</div>
